View Issue Details

IDProjectCategoryView StatusLast Update
0000021bareos-core[All Projects] batpublic2015-03-25 19:18
ReportermaikAssigned To 
PrioritylowSeveritytextReproducibilityalways
Status closedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.2 
Target Version12.4.2Fixed in Version12.4.2 
Summary0000021: bat gives cryptic error message, if director network address is configured wrong
DescriptionIf address= points to an invalid or non-existing director, the error message is:

"bat: ABORTING due to ERROR in console/console.cpp:151 Failed to connect to hostname for pupulateLists."

Expected behavior:

Error message like "No connection to onfigured director network address ... possible. Please check your configuration and director status"

TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

maik

maik

2013-08-13 03:12

administrator   ~0000619

Fix committed to bareos bareos-12.4 branch with changesetid 1028.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001399

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4379.
joergs

joergs

2015-03-25 19:18

administrator   ~0001556

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: bareos-12.4 01cc90a1

2013-05-04 11:14:38

maik

Ported: N/A

Details Diff
BAT gives cryptic error message

BAT gives cryptic error message, if director network address is
configured wrong.

Fixes 0000021: bat gives cryptic error message, if director network address is configured wrong

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000021
mod - src/qt-console/console/console.cpp Diff File

bareos2015: bareos-12.4 93effb79

2013-05-04 13:14:38

readonly


Committer: mvwieringen

Ported: N/A

Details Diff
BAT gives cryptic error message

BAT gives cryptic error message, if director network address is
configured wrong.

Fixes 0000021: bat gives cryptic error message, if director network address is configured wrong

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000021
mod - src/qt-console/console/console.cpp Diff File

bareos: master 6d012b0c

2013-05-04 18:52:56

maik

Ported: N/A

Details Diff
BAT gives cryptic error message

BAT gives cryptic error message, if director network address is
configured wrong.

Fixes 0000021: bat gives cryptic error message, if director network address is configured wrong

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000021
mod - src/qt-console/console/console.cpp Diff File

bareos2015: bareos-13.2 c1597335

2013-05-04 20:52:56

readonly


Committer: mvwieringen

Ported: N/A

Details Diff
BAT gives cryptic error message

BAT gives cryptic error message, if director network address is
configured wrong.

Fixes 0000021: bat gives cryptic error message, if director network address is configured wrong

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000021
mod - src/qt-console/console/console.cpp Diff File

Issue History

Date Modified Username Field Change
2012-12-10 21:09 maik New Issue
2012-12-11 11:30 mvwieringen Summary bat gives crypted error message, if director network address is configured wrong => bat gives cryptic error message, if director network address is configured wrong
2013-02-14 12:08 maik Target Version => 13.1.0
2013-02-14 12:08 maik Fixed in Version 12.4.0 => 13.1.0
2013-02-14 13:47 maik Assigned To => maik
2013-02-14 13:47 maik Status new => assigned
2013-02-14 18:47 maik Changeset attached => bareos Branch-12.4 42a3724c
2013-02-14 18:47 maik Status assigned => closed
2013-02-14 18:47 maik Resolution open => fixed
2013-02-14 18:47 maik Changeset attached => bareos master 3317e1cc
2013-02-14 21:31 mvwieringen Assigned To maik =>
2013-03-04 10:26 mvwieringen Product Version => 12.4.2
2013-03-04 10:26 mvwieringen Fixed in Version => 12.4.2
2013-03-04 10:26 mvwieringen Target Version => 12.4.2
2013-08-13 03:12 maik Changeset attached => bareos master 6d012b0c
2013-08-13 03:12 maik Changeset attached => bareos bareos-12.4 01cc90a1
2013-08-13 03:12 maik Note Added: 0000619
2013-08-13 03:12 maik Assigned To => maik
2013-08-13 03:12 maik Status closed => resolved
2013-08-13 08:59 mvwieringen adm Assigned To maik =>
2013-08-13 08:59 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 93effb79
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 c1597335
2015-03-25 16:51 mvwieringen Note Added: 0001399
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001556
2015-03-25 19:18 joergs Status resolved => closed